class Importer
  def initialize(importer_options = {})
    @importer_options = importer_options
  end

  def import(product)
      { :item_code => product.attributes[:item_data].fetch(@importer_options.fetch(:itemcode_key), ''),
        :name => product.attributes[:name],
        :url => product.attributes[:url],
        :price_a => product.attributes[:prices].fetch(@importer_options.fetch(:price_a_key), 0.0),
        :price_b => product.attributes[:prices].fetch(@importer_options.fetch(:price_b_key), 0.0) }
  end
end